<?php
	if(!empty($_GET['action'])){
		if(file_exists('./pages/'.$_GET['action'].'.php')):
			require_once('./pages/'.$_GET['action'].'.php');
		else:
			$title = 'Страница не существует';
			$body = 'Проверьте правильность ввода адреса страницы или выберите раздел в меню справа';
		endif;
	} else {
		require_once('./pages/index.php');
	}
?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="/favicon.ico">

    <title><?=$title?> | ServerMon</title>

    <!-- Bootstrap core CSS -->
    <link href="/help/css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="/help/css/styles.css" rel="stylesheet">
  </head>

  <body>

    <div class="container">
      <div class="header">
        <ul class="nav nav-pills pull-right">
          <li><a href="/help/doc/main">Документация</a></li>
		  <li><a href="https://vk.com/topic-28839641_31004265"><span class="badge">Баг-трекер</a></span></li>
        </ul>
        <h3 class="text-muted">ServerMon</h3>
      </div>

		<ol class="breadcrumb">
		  <li><a href="/">Главная</a></li>
		  <?=$navbar?>
		</ol>

      <div class="row marketing">
        <div class="col-lg-8">
          <h4 class="page_top"><?=$title?></h4>
          <div class="main-block"><?=$body?></div>
        </div>

        <div class="col-lg-4 navright">
          <h4 class="page_top">Статус платформы</h4>
          <p>
		  <ul class="stats">
			<li>Последняя версия - <b style="color: green">1.2</b></li>
			<li>Сайтов на платформе - <b style="color: green">3</b></li>
		  </ul>
		  </p>

			<h4 class="page_top">Общая информация</h4>
			<ul class="nav nav-pills nav-stacked nav-right">
			  <li <?if($_GET['action'] == 'doc/opp'):?>class="active"<?endif;?>><a href="/help/doc/opp">Общие возможности</a></li>
			  <li <?if($_GET['action'] == 'doc/versions'):?>class="active"<?endif;?>><a href="/help/doc/versions">Список обновлений</a></li>
			</ul>
			<h4 class="page_top">Работа с движком</h4>
			<ul class="nav nav-pills nav-stacked nav-right">
			  <li <?if($_GET['action'] == 'doc/install'):?>class="active"<?endif;?>><a href="/help/doc/install">Установка и обновление скрипта</a></li>
			  <li <?if($_GET['action'] == 'doc/start'):?>class="active"<?endif;?>><a href="/help/doc/start">Начало работы и шаблоны</a></li>
			  <li <?if($_GET['action'] == 'doc/update'):?>class="active"<?endif;?>><a href="/help/doc/update">Обновление серверов</a></li>
			  <li <?if($_GET['action'] == 'doc/errors'):?>class="active"<?endif;?>><a href="/help/doc/errors">Возвращаемые ошибки</a></li>
			  <li <?if($_GET['action'] == 'doc/games'):?>class="active"<?endif;?>><a href="/help/doc/games">Игры</a></li>
			</ul>
			<h4 class="page_top">Шаблоны</h4>
			<ul class="nav nav-pills nav-stacked nav-right">
			  <li <?if($_GET['action'] == 'doc/install_theme'):?>class="active"<?endif;?>><a href="/help/doc/install_theme">Установка и настройка шаблонов</a></li>
			  <li <?if($_GET['action'] == 'doc/params'):?>class="active"<?endif;?>><a href="/help/doc/params">Переменные данных</a></li>
			  <li <?if($_GET['action'] == 'doc/include_theme'):?>class="active"<?endif;?>><a href="/help/doc/include_theme">Подключение шаблонов к модулям</a></li>
			</ul>
			<h4 class="page_top">Разработчикам</h4>
			<ul class="nav nav-pills nav-stacked nav-right">
			  <li <?if($_GET['action'] == 'doc/modules_include'):?>class="active"<?endif;?>><a href="/help/doc/modules_include">Разработка и подключение модулей</a></li>
			  <li <?if($_GET['action'] == 'doc/modules_admin'):?>class="active"<?endif;?>><a href="/help/doc/modules_admin">Подключение модулей в админ-панели</a></li>
			  <li <?if($_GET['action'] == 'doc/functions'):?>class="active"<?endif;?>><a href="/help/doc/functions">Функции для разработки</a></li>
			</ul>
			<h4 class="page_top">ServerMon - WEB API</h4>
			<ul class="nav nav-pills nav-stacked nav-right">
			  <li <?if($_GET['action'] == 'api/requests'):?>class="active"<?endif;?>><a href="/help/api/requests">Запросы к API</a></li>
			  <li <?if($_GET['action'] == 'api/versions'):?>class="active"<?endif;?>><a href="/help/api/versions">Версии API</a></li>
			  <li <?if($_GET['action'] == 'api/errors'):?>class="active"<?endif;?>><a href="/help/api/errors">Возвращаемые ошибки</a></li>
			  <li <?if($_GET['action'] == 'api/games'):?>class="active"<?endif;?>><a href="/help/api/games">Коды игр</a></li>
			  <li <?if($_GET['action'] == 'methods'):?>class="active"<?endif;?>><a href="/help/methods">Методы</a></li>
			</ul>
        </div>
      </div>

      <div class="footer">
        <p>&copy; ServerMon 2014</p>
      </div>

    </div> <!-- /container -->


    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="//ajax.googleapis.com/ajax/libs/jquery/2.0.2/jquery.min.js"></script>
	<script src="/js/webgen.js"></script>
	<script src="/js/jscolor.js"></script>
  </body>
</html>
