<?php
	$title = 'Подключение шаблонов к модулям';
	$navbar = '<li><a href="/help/doc/main">Шаблоны</a></li><li class="active">Подключение шаблонов к модулям</li>';	
	$body = '
	В каждом модуле есть возможность вывести отдельный шаблон для каждого модуля. Вывод шаблонов происходит при помощи одной функции.
	<br><br>
	<h4 class="page_top">Вывод шаблонов модуля</h4>
	<br>
	После того как происходит обработка данных Вы можете вывести шаблоны которые вам необходимо для просмотра пользователю. Мы вкрайне рекомендуем использовать шаблоны для визуального вывода информации.
	<br><br>
	<div class="tab">
	Пример подключения шаблона главной страницы в модуле <b>servers/index</b>:
	<br><code>return $this->view(array(\'common/header\', \'servers/index\', \'common/footer\'), $this->data);</code>
	</div>
	<br>
	В примере выше происходит вывод сразу троих шаблонов:
	<br><b>common/header</b> - шаблон верхней части сайта
	<br><b>servers/index</b> - шаблон основной части сайта (вывод списка серверов)
	<br><b>common/footer</b> - шаблон нижней части сайта
	<br><br>
	Как видно в примере выше для вывода шаблонов используется функция <code>view()</code> которая принимает <b>два</b> параметра:
	<br><b>Первый параметр</b> - принимает в себя массив шаблонов которые необходимо вывести
	<br><b>Второй параметр</b> - принимает в себя массив данных которые необходимо переобразовать в <a href="/help/doc/params">перменные</a>.
	<br><br>
	<span class="label label-danger">Внимание</span> вывод шаблонов должен происходить в конце функции контроллера, если вывести шаблон до обработки данных они не будут обработаны, скрипт после вывода шаблона прекращает работу.
	';
?>