<?php
	$title = 'Разработка и подключение модулей';
	$navbar = '<li><a href="/help/doc/main">Разработчикам</a></li><li class="active">Разработка и подключение модулей</li>';	
	$body = '
	<b>Server Mon</b> предоставляет удобные механизмы для подключения разработанных вами модификаций скрипта. 
	Данные механизмы позволяют обеспечить работоспособность и после обновления скрипта на новую версию, т.к. 
	данные механизмы позволяют осуществлять подключение без правки файлов скрипта.
	<br><br>
	<h4 class="page_top">Создание контреллера</h4>
	<br>
	Каждый модуль имеет свою директорию в папке <code>/application/controllers/</code>, название директории модуля и есть названием модуля.
	Папка должна иметь только контроллеры которые нужны для работы модуля. Контролллеры подключаються автоматически при переходе на их адрес.
	<br><br>
	<div class="tab">
	К примеру при переходе по адресу <b>http://website.com/module/index</b>, в автоматическом режиме будет подгружен и подключен контроллер <code>index.php</code>
	который лежит в директории <code>/application/controllers/module</code>, так же если в адресе перехода не дописывать <code>index</code>, данный контроллер будет загружен
	по умолчанию.
	</div>
	<br>
	При создании контроллера вы будете заниматься программированием на языке <b>PHP</b>, с использованием ООП стиля. Каждый контроллер имеет в себе один класс в котором
	созданы функции для работы в этом контроллере. Основная функция <code>__construct()</code>, нужна для загрузки контроллера после его подключения. 
	Название класса должно совпадать с названием директории модуля. Так же класс контроллера должно быть расширено уже подготовленным классом <code>Controller</code>
	<br><br>
	<h4 class="page_top">Создание модели</h4>
	<br>
	Для полной работы вашего модуля необходимо написать зарание готовые функции которые облегчат работу и избежать написание повторного кода в разных контроллерах.
	В папке <code>/application/models/</code> находяться модели которые используються для работы движка. Вы так же можете создать свою.
	<br><br>
	При создании класса модели необходимо создать файл в папке <code>/models/</code>, название файла должно быть и простым. После чего в файле вы должны создать класс модели.
	Класс модели должен содержать название файла до расширения.
	<br><br>	
	<div class="tab">
	Например название файла модели <code>mymodule.php</code>, тогда название класса должно быть таким: <code>mymoduleModel</code>.
	</div>
	<br>
	<span class="label label-danger">Внимание</span> класс модели должен быть расширен тем же классом <code>Controller</code>
	<br><br>
	В классе модели вы можете создавать функции и наполнять их необходим вам кодом. Все эти функции вы можете использовать после подключения модели в контроллере.<br>
	Подробнее о использовании моделей на странице с <a href="http://server-mon.ru/help/doc/functions">функциями для разработки</a>.
	<br><br>
	<span class="label label-danger">Внимание</span> все функции необходимо делать публичными.
	';
?>