<?php
	$title = 'Переменные данных';
	$navbar = '<li><a href="/help/doc/main">Шаблоны</a></li><li class="active">Переменные данных</li>';	
	$body = '
	При помощи специальных стандартных переменных вы можете использовать их в качестве вывода информации или вывода контента модуля.
	Переменные осуществлены в качестве <b>PHP</b> перменных. Поэтому вывод перменых происходит при помощи <b>PHP</b> кода.
	<br><br>
	<h4 class="page_top">Вывод информации из переменной</h4>
	<br>
	Для вывода информации перменной используйте <code>&lt;?=?></code>. После знака <b>=</b> следует указывать переменную которая всегда начинается со знака <b>$</b>.
	<br><br>
	<div class="tab">
	Пример вывода названия сайта
	<br><code>&lt;?=$title?></code>
	</div>
	<br><br>
	<h4 class="page_top">Вывод списков (массивы)</h4>
	<br>
	В скрипте ServerMon присутствуют модули в которых необходим вывод списка. Например модуль сервера требует вывод списка серверов на сайт в HTML коде. Что бы его
	превратить в HTML код вы можете использовать тип цикла <b>foreach</b>.
	<br><br>
	<div class="tab">
	Пример вывода простого списка серверов на страницу шаблона
	<code>
	&lt;? foreach($servers as $item):?><br>
	&nbsp;	&lt;p>&lt;?=$item[\'server_hostname\']?>&lt;/p><br>
	&lt;? endforeach ?>
	</code>
	</div>
	<br>
	Пример кода приведенный выше выводит список названий серверов. В цикле вывода вы можете указывать абсолютно любой код.
	<br><br>
	<span class="label label-danger">Внимание</span> в параметрах цикла обязательно должен быть указан массив который нужно перевести в значение, в примере выше это значение <code>$item</code>.
	<br><br>
	<h4 class="page_top">Условия</h4>
	<br>
	В скрипте ServerMon вы можете писать условия вывода значений / текста и т.д. Условия записываются так же при помощи <b>PHP</b> кода при помощи оператора <code>if</code>
	<br>
	<div class="tab">
	Пример вывода текста если 10 равно 10.
	<br>
	<code>&lt;? if(\'10\' == \'10\'): ?><br>
	&nbsp; Верно! 10 равно 10.<br>
	&lt;? endif ?>
	</code>
	</div>
	<br><br>
	<h4 class="page_top">Список общих доступных переменных</h4>
	<br>
	<div class="tab">
	<code>$title</code> - выведет название сайта
	<br><code>$description</code> - выведет описание сайта
	<br><code>$keywords</code> - выведет ключевые слова сайта
	<br><code>$theme</code> - выведет путь к текущему дизайну
	<br><code>$mStats</code> - массив статистики сайта
	</div>
	';
?>