<?php
	$title = 'Подтверждение платежа';
	$navbar = '<li><a href="#">Работа с API</a></li><li class="active">Подтверждение платежа</li>';
	$body = '
	По мере выполнения платежа мы уведомляем платформу магазина о статусе оплаты. Запросы последовательно отправляются на URL
	вашего обработчика (задается в настройках проекта). Первым выполняется <u>CHECK</u>, после успешного ответа и списания 
	средств с клиента выполняется запрос <u>PAY</u>, при любой ошибке в ходе проведения платежа выполняетcя запрос <u>ERROR</u>.
	<br><br>
	<span class="label label-info">CHECK</span> - Проверка возможности оказания услуги абоненту, Вы должны подтвердить готовность 
	системы (проверить корректность суммы платежа, существование счета в БД и т.д.).<br><br>
	<span class="label label-success">PAY</span> - Уведомление об успешном списании, Вы должны оказать услугу абоненту. 
	При любой ошибке на данном этапе (например не доступна БД) платеж получает статус «незавершен», после устранения 
	проблем Вы можете повторно провести платеж в статистике.<br><br>
	<span class="label label-danger">ERROR</span> - Ошибка платежа на любом из этапов. Если ошибка вызвана пустым/ошибочным 
	ответом сервера партнера, то запрос отправлен не будет. Следует учесть, что данный статус не конечный и возможны 
	ситуации когда после запроса ERROR может последовать запрос PAY.<br><br>

	<br><br>
	<div class="tab">
	<code>
		https://адрес_вашего_обработчика?<br> &nbsp; <b>method</b>=check
		<br>&nbsp; &<b>params[account]</b>=user
		<br>&nbsp; &<b>params[projectId]</b>=1
		<br>&nbsp; &<b>params[sum]</b>=100
		<br>&nbsp; &<b>params[sign]</b>=9bdf52a4830779a1383ac24f1b3ed054 
		<br>&nbsp; &<b>params[localpayId]</b>=1234567 
		<br>&nbsp; &<b>params[paymentType]</b>=unitpay
	</code>
	</div>
	<br>
	<b>method</b> – один из методов.<br>
	<b>projectId</b> – ID вашего магазина в системе LocalPay.<br>
	<b>localpayId</b> – Внутренний номер платежа в LocalPay.<br>
	<b>account </b> – Идентификатор абонента в системе партнера.<br>
	<b>sum </b> – Сумма списания с лицевого счета абонента, в руб.<br>
	<b>paymentType </b> – Система в которой производилась оплата.<br>
	<b>sign </b> – Цифровая подпись. Образуется как md5-хеш от склеивания значения account, sum и серкетного ключа вашего проекта. 
	<br><br>
	<div class="alert alert-warning"><b>ВАЖНО</b>: В системе партнера не должно быть двух разных платежей с одним localpayId. При получении повторного запроса CHECK или PAY необходимо вернуть результат выполнения предыдущего запроса, ничего не пополняя/зачисляя.</div>
	<h4 class="page_top">Успешный ответ</h4>
	Ответ должен отправляться в формате json<br><br>
	<div class="tab">
	<code>
		{"result": {<br>
		&nbsp;&nbsp;&nbsp;&nbsp;"message": "Запрос успешно обработан"<br>
		}}
	</code>
	</div>
	<br>
	<b>message</b> – Текстовый статус выполнения запроса.<br><br>
	<h4 class="page_top">Ошибочный  ответ</h4>
	Ответ должен отправляться в формате json<br><br>
	<div class="tab">
	<code>
		{"result": {<br>
		&nbsp;&nbsp;&nbsp;&nbsp;"message": "Описание ошибки"<br>
		}}
	</code>
	</div>
	<br>
	<b>message</b> – Текстовый статус выполнения запроса.<br>
	';
?>